## ufo-extractor 0.5.0

=== requirements.txt ===
fonttools
defcon
ufoLib2

## ufo-extractor 0.3.0

=== debian/changelog ===
ufo-extractor (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.
  * debian/control:
    + Bump to debhelper compat v13.
    + Use "Rules-Requires-Root: no". 

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jul 2020 08:31:38 -0400

ufo-extractor (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #891390)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 20 Jun 2020 16:20:08 +0800

=== debian/control ===
Source: ufo-extractor
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
	debhelper-compat (= 13),
	dh-python,
	python3-setuptools,
	python3-all,
	fonttools (>= 3.3.1),
	python3-pytest,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/robotools/extractor
Vcs-Browser: https://salsa.debian.org/fonts-team/ufo-extractor
Vcs-Git: https://salsa.debian.org/fonts-team/ufo-extractor.git

Package: python3-ufo-extractor
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Conflicts: python3-extractor
Description: Extract data from font binaries into UFO objects (Python 3)
 This tool can extract data from font binaries (OTF, TTF, WOFF etc.) into UFO
 objects.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=extractor

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import extractor; print(extractor)" ; done
Depends: python3-all, python3-ufo-extractor
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/robotools/extractor/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ufo-extractor 0.4.1

=== debian/changelog ===
ufo-extractor (0.4.1-2) unstable; urgency=medium

  * debian/patches: Use exported function from fontTools to get glyphs
    (Closes: #1022495)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 20 Nov 2022 18:28:29 +0800

ufo-extractor (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * d/control: Update build dependencies
  * d/control: Bump Standards-Version to 4.5.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 21:32:29 +0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
 	dh-python,
 	python3-setuptools,
 	python3-all,
-	fonttools (>= 3.3.1),
+	fonttools (>= 4.17.0),
 	python3-pytest,
-Standards-Version: 4.5.0
+	python3-defcon <!nocheck>,
+	python3-ufolib2 <!nocheck>,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/robotools/extractor
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo-extractor

## ufo-extractor 0.5.0

=== debian/changelog ===
ufo-extractor (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Correct package short description. (Closes: #1086080)

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Oct 2024 09:47:55 -0400

ufo-extractor (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Fix monitoring script.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Build with pybuild-plugin-pyproject.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2024 15:42:43 -0400

=== debian/control ===
Source: ufo-extractor
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 fonttools (>= 4.17.0),
 pybuild-plugin-pyproject,
 python3-all,
 python3-defcon <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-ufolib2 <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/robotools/extractor
Vcs-Browser: https://salsa.debian.org/fonts-team/ufo-extractor
Vcs-Git: https://salsa.debian.org/fonts-team/ufo-extractor.git
Description: Extract data from font binaries into UFO objects
 This tool can extract data from font binaries (OTF, TTF, WOFF etc.) into UFO
 objects.

Package: python3-ufo-extractor
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-extractor,
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=extractor
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import extractor; print(extractor)" ; done
Depends:
 python3-all,
 python3-ufo-extractor,
Restrictions:
 allow-stderr,
 superficial,
Features:
 test-name=autodep8-python3,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/robotools/extractor/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ufo-extractor 0.8.1

=== debian/changelog ===
ufo-extractor (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add new dependency python3-fontfeatures.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/patches/: Dropped, applied upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Jan 2026 17:17:00 -0500

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,12 @@
  fonttools (>= 4.17.0),
  pybuild-plugin-pyproject,
  python3-all,
- python3-defcon <!nocheck>,
+ python3-fontfeatures,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-ufolib2 <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/robotools/extractor
 Vcs-Browser: https://salsa.debian.org/fonts-team/ufo-extractor
 Vcs-Git: https://salsa.debian.org/fonts-team/ufo-extractor.git
@@ -29,6 +28,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-ufolib2,
 Conflicts:
  python3-extractor,
 Description: ${source:Synopsis} (Python 3)
